#ifndef CGAL_DEFAULT_FO_H
#define CGAL_DEFAULT_FO_H

#include <CGAL/Cartesian.h>
#include <CGAL/Homogeneous.h>

// Template function object class which returns 0 for all t
// Parameters:
//    NumType_    the number type of the points coordinates
template <class NumType_> 
class Default_FO {
public:
    Default_FO() {}    

    NumType_ operator() (NumType_ t) const {
	return 0;
    }
};
#endif //CGAL_DEFAULT_FO_H
